DTRUSS(1)

NAME
dtruss - Trace system calls and userland stacks using DTrace

SYNOPSIS
dtruss [-acdefholLs] [-t syscall] [-n name -p pid command]

DESCRIPTION
The dtruss utility traces system calls and (optionally) userland stack traces for the specified programs.

The following options are available:

-p pid
    Trace the process with PID pid.

-n name
    Trace the process with name name.

-t syscall
    Trace the specified syscall only.

-a  Print all details.

-c  Print syscall counts.

-d  Print relative times (in microseconds).

-e  Print elapsed times (in microseconds).

-f  Follow the children processes.

-l  Force printing PID / TID.

-o  Print time spent on CPU.

-s  Print userland stack backtraces.

-L  Don't print PID / TID.

-b bufsize
    Specify the DTrace buffer size.

EXIT STATUS

SEE ALSO
dtrace(1)

HISTORY
The dtruss utility comes from the DTraceToolkit and was first imported into FreeBSD 9.0.

AUTHORS
Brendan Gregg